org.tukaani.xz

## Class CloseIgnoringInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.tukaani.xz.CloseIgnoringInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class CloseIgnoringInputStream
    extends FilterInputStream

An `InputStream` wrapper whose `close()` does nothing. This is useful with raw decompressors if you want to call `close()` to release memory allocated from an `ArrayCache` but don't want to close the underlying `InputStream`. For example:

>      InputStream rawdec = new LZMA2InputStream(
>              new CloseIgnoringInputStream(myInputStream),
>              myDictSize, null, myArrayCache);
>      doSomething(rawdec);
>      rawdec.close(); // This doesn't close myInputStream.

With `XZInputStream`, `SingleXZInputStream`, and `SeekableXZInputStream` you can use their `close(boolean)` method to avoid closing the underlying `InputStream`; with those classes `CloseIgnoringInputStream` isn't needed.

Since:
  1.7

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`CloseIgnoringInputStream(InputStream in)` Creates a new `CloseIgnoringInputStream`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` This does nothing (doesn't call `in.close()`).

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloseIgnoringInputStream

    public CloseIgnoringInputStream(InputStream in)

Creates a new `CloseIgnoringInputStream`.

### Method Detail

#### close

    public void close()

This does nothing (doesn't call `in.close()`).

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `FilterInputStream`